diff options
author | Viliam Luc <vluc@cisco.com> | 2021-08-02 14:25:26 +0200 |
---|---|---|
committer | Viliam Luc <vluc@cisco.com> | 2021-09-10 10:26:24 +0200 |
commit | ec467277744783015a2da6713298b35d13d92e6f (patch) | |
tree | 57b1bb084f5ae9c6346be5a92f8fe5fac38f1cd4 /resources/libraries/bash | |
parent | 9cceefae3248e9a1e9e5586391c9263cf114a753 (diff) |
back-to-back tests: add TG tests
Change-Id: I9d028294deb1e31b6d185deb1c7523e0226a0ada
Signed-off-by: Viliam Luc <vluc@cisco.com>
Diffstat (limited to 'resources/libraries/bash')
-rw-r--r-- | resources/libraries/bash/function/gather.sh | 14 |
1 files changed, 14 insertions, 0 deletions
diff --git a/resources/libraries/bash/function/gather.sh b/resources/libraries/bash/function/gather.sh index e3a6a9d150..4958e5251b 100644 --- a/resources/libraries/bash/function/gather.sh +++ b/resources/libraries/bash/function/gather.sh @@ -57,6 +57,10 @@ function gather_build () { DUT="dpdk" gather_dpdk || die "The function should have died on error." ;; + *"trex"*) + DUT="trex" + gather_trex || die "The function should have died on error." + ;; *) die "Unable to identify DUT type from: ${TEST_CODE}" ;; @@ -110,6 +114,16 @@ function gather_dpdk () { fi } +function gather_trex () { + + # This function is required to bypass download dir check. + # Currently it creates empty file in download dir. + # TODO: Add required packages + + set -exuo pipefail + + touch trex-download-to-be-added.txt +} function gather_vpp () { |